This topic contains 171 replies, has 29 voices, and was last updated by  NailBuster 5 months, 2 weeks ago.

Viewing 20 posts - 121 through 140 (of 172 total)
  • Author
    Posts
  • #112734
     Gwen 
    Participant
    Member

    OK, I found the problem.  I forgot that I was using Lucky’s dmddevice.dll so I can run colorized dmd’s on my pin2dmd.  I replaced it with Freezy’s version and it has fixed the pinup player issue.

    Is there any way to run pin2dmd colorization AND still use pinup player properly?

    Gwen
    - wonky builder of the steampunk-y Nikola Tesla cabinet.

    #112738
     TerryRed 
    Moderator
    MemberContributorModerator

    OK, I found the problem. I forgot that I was using Lucky’s dmddevice.dll so I can run colorized dmd’s on my pin2dmd. I replaced it with Freezy’s version and it has fixed the pinup player issue.

    Is there any way to run pin2dmd colorization AND still use pinup player properly?

    Yes…use freezy’s version of 1.71, 32 bit x86 (fully supports DMD colourization with pin2DMD), and enable dmd colourize in the dmdevice.ini file.

    DON’T use freezy 1.72, as it has a bug that doesn’t work with vni colouring.

    #112740
     Gwen 
    Participant
    Member

    Aha.  Thank you very much!

    Gwen
    - wonky builder of the steampunk-y Nikola Tesla cabinet.

    #112763
     outhere 
    Participant
    MemberContributor

    You can use DMDExt,  1.7.2   — But As far as I know the Dll file from 1.7.2 does not work right

    dmdext-v1.7.2-x86.zip

    https://github.com/freezy/dmd-extensions/releases/tag/v1.7.2

    Use the dll from here

    https://www.vpforums.org/index.php?showtopic=41291&hl=

    If you don’t want to use the new features just put the Dll file in VpinMane folder and do not change your InI file

    #112772
     TerryRed 
    Moderator
    MemberContributorModerator

    You can use DMDExt, 1.7.2 — But As far as I know the Dll file from 1.7.2 does not work right

    dmdext-v1.7.2-x86.zip

    https://github.com/freezy/dmd-extensions/releases/tag/v1.7.2

    Use the dll from here

    https://www.vpforums.org/index.php?showtopic=41291&hl=

    If you don’t want to use the new features just put the Dll file in VpinMane folder and do not change your InI file

    I would hold off recommending that version currently unless someone like to beta test, as it has some stability issues, and it still (last i checked) doesn’t support or work right with vni colouring, which is what Gwen wanted.

    #112776
     Gwen 
    Participant
    Member

    I switched to dmddevice.dll 1.71 and things seem to be working fine.

    Gwen
    - wonky builder of the steampunk-y Nikola Tesla cabinet.

    #112777
     Gwen 
    Participant
    Member

    I do have another question regarding running pup-packs with pinball FX3.  I can’t seem to find any specific instructions on how to set up for them to work together.  The install instructions indicate it should just work after a proper install. But my pup packs are not launching with FX3 (steam version).

    Are there instructions for this that I have missed?

    Edit – I think I found my own answer, will test and follow up

    Gwen
    - wonky builder of the steampunk-y Nikola Tesla cabinet.

    #112781
     TerryRed 
    Moderator
    MemberContributorModerator

    The only pup-packs for FX3 are my Aliens and the FX3 SSF packs.

    Read through both download forums for those…and FX3 SSF packs require DOFLinx installed and setup.

    #112786
     Gwen 
    Participant
    Member

    Yes, I found how to get them working with FX3, but due to changes in FX3  that aren’t accounted for in freezy 171 it won’t work with pin2dmd (unless you use legacy mode).  So I will live without the fx3 packs till we get an update from Freezy.

    And thanks for the pup packs Terry.  Tron Legacy in particular is pretty awesome.

    Gwen
    - wonky builder of the steampunk-y Nikola Tesla cabinet.

    #112791
     Thalamus 
    Moderator
    ContributorMemberModerator

    @gwen : You should use dmdext.exe for 1.7.2 (or the alphanum I guess ? – outhere knows more ) to get FX3 working. It is only the dmddevice.dll that is not to be used from that archive.

    #112803
     outhere 
    Participant
    MemberContributor

    You can use DMDExt, 1.7.2 — But As far as I know the Dll file from 1.7.2 does not work right

    dmdext-v1.7.2-x86.zip

    https://github.com/freezy/dmd-extensions/releases/tag/v1.7.2

    Use the dll from here

    https://www.vpforums.org/index.php?showtopic=41291&hl=

    If you don’t want to use the new features just put the Dll file in VpinMane folder and do not change your InI file

    I would hold off recommending that version currently unless someone like to beta test, as it has some stability issues, and it still (last i checked) doesn’t support or work right with vni colouring, which is what Gwen wanted.

    What is the problem with the vni colouring that you are referring to?
    For me I haven’t any problems with the vni colouring and the color roms load much faster with this Dll…

    Problem below solved see Link below
    https://vpinball.com/forums/topic/vpinmame-and-freezys-issue/page/3/#post-113058
    Running Windows 10 64 bit
    I am using 32 bit for all

    VP-9 works fine
    If I use alternate settings (Position/size) with (freezy) it will not work with VP-10
    I have tried the 4 different Dll files, they all do the same thing
    If I remove the alternate settings then it works but then it’s not on the screen where I want it

    [RomName]
    virtualdmd left = 2455
    virtualdmd top = 673
    virtualdmd width = 720
    virtualdmd height = 62

    The log is the same for Either VP, except for the fact that it says which VP is running

    #112856
     Gwen 
    Participant
    Member

    My problem is not with vni coloring.  The problem is that when Zen studios add new tables to FX3 it often requires changes to dmdext to allow for proper extraction of the dmd data.  DMDext 1.71 was created before the release of the Williams table packs and the dmd’s don’t work with it.  In any case I have them working with FX3 now, I just can’t get both them and the Aliens pup pack working at the same time without a new update from Freezy.  That’s all.

    And it’s no big deal to me.  I just tend to try to solve any problem I find asap.

    =)

     

    … now if I could only figure out why I can’t get pinup player to stop locking up on Stranger Things I would be a happy camper… =P

    Gwen
    - wonky builder of the steampunk-y Nikola Tesla cabinet.

    #112886
     TerryRed 
    Moderator
    MemberContributorModerator

    My problem is not with vni coloring. The problem is that when Zen studios add new tables to FX3 it often requires changes to dmdext to allow for proper extraction of the dmd data. DMDext 1.71 was created before the release of the Williams table packs and the dmd’s don’t work with it. In any case I have them working with FX3 now, I just can’t get both them and the Aliens pup pack working at the same time without a new update from Freezy. That’s all.

    And it’s no big deal to me. I just tend to try to solve any problem I find asap.

    =)

    … now if I could only figure out why I can’t get pinup player to stop locking up on Stranger Things I would be a happy camper… =P

    Yes, that is the reality of using anything with FX3…you will need regular updates to both dmdext.exe and DOFLinx each time Zen updates FX3. It sucks. For my current setup…. I use 1.72 exe for just Aliens PuP-Pack with Legacy mode. for the other other tables I use a newer “beta” version of dmdext (i got it on his site on the problem threads long ago).

    So I have my Popper launch script set to use a different dmdexe.exe and command for just Aliens, and the others use the newer “beta”. (it’s just called dmdext_153.exe for my own reference…it’s NOT a revision number). I then just add “pup-pack” to the “Custom Launch Param” for Aliens in Games Manager.

    My current FX3 Launch script:

     

    START "" "[STARTDIR]Launch\VPXSTARTER.exe" 5 5 60 "Pinball FX3"

    START "" "[DIREMU]\steam.exe" -applaunch 442120 -table_[GAMENAME]

    cd "C:\Visual Pinball\VPinMAME"

    timeout /T 10

    if NOT "[custom1]"=="pup-pack" (start /min "" "dmdext_153.exe" mirror --source=pinballfx3 -q -d virtual --virtual-hide-grip --virtual-position=3878 1524 1280)

    if "[custom1]"=="pup-pack" (start /min "" "dmdext_172.exe" mirror --source=pinballfx3 --fx3-legacy -q -d virtual --virtual-hide-grip --virtual-position=3878 1524 1280 --pinup PINUP\[GAMENAME])

     

    Stranger Things? or Stranger Things: Stranger Edition?

    Both of those use UltraDMD, so my guess is it’s related to files you are using in your XDMD folder. I know rablack97 uses a pin2dmd and has it working fine. It may also need a change in the table’s script, as many UltraDMD table’s didn’t have a proper Exit sub setup which causes problems as well..

    Is it locking up during play, or on exit?

     

    In your “PinupSystem” folder…the ONLY file that should be Run as Admin is pinupmenu.exe, no other files.

    #112897
     outhere 
    Participant
    MemberContributor

    @gwen
    Does the Masters of the Universe (VPX) – PuP-Pack work for you?

    I use this version of  UltraDMDSetup.msi   1.4
    https://www.dropbox.com/s/ag36jikf2phwd73/UltraDMDSetup.msi?dl=0

    I am using Lucky1’s XDMD.dll,  XDMDnative.dll, DMDdevice.dll : And all is good

    I need These 3 files so UltraDMD will talk to my pin2DMD Correctly
    Put them in the UltraDMD or XDMD Folder (Whatever you may have)
    https://github.com/lucky01/PIN2DMD/tree/master/integration/XDMD

    https://github.com/lucky01/PIN2DMD/blob/master/integration/pinmame/dmddevice.dll

    #112900
     Gwen 
    Participant
    Member

    erence…it’s NOT a revision number). I then just add “pup-pack” to the

     

    Stranger Things Stranger Edition.  It locks up when the game initializes, right after the first loop of the backglass video.

    Gwen
    - wonky builder of the steampunk-y Nikola Tesla cabinet.

    #112901
     Gwen 
    Participant
    Member

    @gwen

    <span style=”font-size: 14pt;”>Does the Masters of the Universe (VPX) – PuP-Pack work for you?</span>

    I use this version of UltraDMDSetup.msi 1.4

    https://www.dropbox.com/s/ag36jikf2phwd73/UltraDMDSetup.msi?dl=0

    I am using Lucky1’s XDMD.dll, XDMDnative.dll, DMDdevice.dll : And all is good

    I need These 3 files so UltraDMD will talk to my pin2DMD

    Put them in the UltraDMD or XDMD Folder (Whatever you may have)

    https://github.com/lucky01/PIN2DMD/tree/master/integration/XDMD

    https://github.com/lucky01/PIN2DMD/blob/master/integration/pinmame/dmddevice.dll

     

    No it doesn’t work for me.  I will try your setup.

    Gwen
    - wonky builder of the steampunk-y Nikola Tesla cabinet.

    #112905
     Gwen 
    Participant
    Member

    @gwen

    <span style=”font-size: 14pt;”>Does the Masters of the Universe (VPX) – PuP-Pack work for you?</span>

    I use this version of UltraDMDSetup.msi 1.4

    https://www.dropbox.com/s/ag36jikf2phwd73/UltraDMDSetup.msi?dl=0

    I am using Lucky1’s XDMD.dll, XDMDnative.dll, DMDdevice.dll : And all is good

    I need These 3 files so UltraDMD will talk to my pin2DMD

    Put them in the UltraDMD or XDMD Folder (Whatever you may have)

    https://github.com/lucky01/PIN2DMD/tree/master/integration/XDMD

    https://github.com/lucky01/PIN2DMD/blob/master/integration/pinmame/dmddevice.dll

    No it doesn’t work for me. I will try your setup.

     

    I tried using those files and I get an “activex is unable to create object ultradmd” error.  I must have different xdmd files than you are using.  Is there any way you can send me a copy of your files?

    Gwen
    - wonky builder of the steampunk-y Nikola Tesla cabinet.

    #112908
     outhere 
    Participant
    MemberContributor

    That link for the 1.4 is the same one I’m using

    What you should do is take your UltraDMD or XDMD Folder (Whatever you may have) And move it out of the way and then download the 1.4

    install the 1.4 from the link above and it will automatically registered it…

    Then put those 3 files in there and it should work…

    #113021
     Gwen 
    Participant
    Member

    That link for the 1.4 is the same one I’m using

    What you should do is take your UltraDMD or XDMD Folder (Whatever you may have) And move it out of the way and then download the 1.4

    install the 1.4 from the link above and it will automatically registered it…

    Then put those 3 files in there and it should work…

    I completely removed ultradmd, then reinstalled it using the version from your link.  I copied those 3 files into the ultradmd program folder and I am still getting the error message on ultradmd.  Interestingly enough though I did manage to get the Aliens FX3 pup pack and pin2dmd to both work together at the same time in the process after copying that dmddevice.dll into the vpinmame folder as a test.  So I did solve one problem.

    hmmm…

    Gwen
    - wonky builder of the steampunk-y Nikola Tesla cabinet.

    #113027
     outhere 
    Participant
    MemberContributor

    What error message?

    What happens if you start the DMD from the ultradmd folder?

Viewing 20 posts - 121 through 140 (of 172 total)

The topic ‘PinUP System (Player and Popper Front-End) Install’ is closed to new replies.

©2019 VPinBall.com

WP2Social Auto Publish Powered By : XYZScripts.com
Vpinball.com

Log in with your credentials

or    

Forgot your details?

Create Account